Package org.eclipse.birt.report.engine.api.script.eventadapter

# Class TableGroupEventAdapter

java.lang.Object
org.eclipse.birt.report.engine.api.script.eventadapter.TableGroupEventAdapter

All Implemented Interfaces:
  `ITableGroupEventHandler`

public class TableGroupEventAdapter extends Object implements ITableGroupEventHandler

## Constructor Summary

Constructors
Constructor
Description
`TableGroupEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onCreate(IReportElementInstance tableGroup, IReportContext context)`
`void`
`onPageBreak(IReportElementInstance tableGroup, IReportContext context)`
`void`
`onPrepare(ITableGroup tableGroup, IReportContext context)`
`void`
`onRender(IReportElementInstance tableGroup, IReportContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableGroupEventAdapter

public TableGroupEventAdapter()

## Method Details

### onPrepare

public void onPrepare(ITableGroup tableGroup, IReportContext context) throws ScriptException

Specified by:
  `onPrepare` in interface `ITableGroupEventHandler`
Throws:
  `ScriptException`

### onCreate

public void onCreate(IReportElementInstance tableGroup, IReportContext context) throws ScriptException

Specified by:
  `onCreate` in interface `ITableGroupEventHandler`
Throws:
  `ScriptException`

### onRender

public void onRender(IReportElementInstance tableGroup, IReportContext context) throws ScriptException

Specified by:
  `onRender` in interface `ITableGroupEventHandler`
Throws:
  `ScriptException`

### onPageBreak

public void onPageBreak(IReportElementInstance tableGroup, IReportContext context) throws ScriptException

Specified by:
  `onPageBreak` in interface `ITableGroupEventHandler`
Throws:
  `ScriptException`